# Creating Ports ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. ## Create a Port[​](#create-a-port "Direct link to Create a Port") To create a port, send a `POST` request to the [`/fabric/v4/ports`](https://docs.equinix.com/api-catalog/fabricv4/ports/createport.md) endpoint. | | | | ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/ports` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | `dryRun` | | Body Parameters | `type`, `id`, `uuid`, `name`, `description`, `physicalPortsSpeed`, `connectionsCount`, `physicalPortsType`, `physicalPortsCount`, `connectivitySourceType`, `bmmrType`, `project`, `state`, `order`, `cvpId`, `operation`, `account`, `change`, `changeLog`, `availableBandwidth`, `usedBandwidth`, `location`, `device`, `interface`, `demarcationPointIbx`, `tetherIbx`, `demarcationPoint`, `redundancy`, `encapsulation`, `lagEnabled`, `lag`, `asn`, `package`, `settings`, `physicalPortQuantity`, `notifications`, `additionalInfo`, `endCustomer`, `physicalPorts`, `loas` | To safely validate this request in production without creating or changing resources, see [Testing in Production (API Dry Run)](https://docs.equinix.com/equinix-api/testing/testing-in-production-dry-run.md). Sample cURL Request - colocation, non-LAG port: ``` curl -X POST 'https://api.equinix.com/fabric/v4/ports' -H 'Content-Type: application/json' -H 'Authorization: Bearer ' -d '{ "type": "XF_PORT", "physicalPortsSpeed": 1000, "physicalPortsType": "1000BASE_LX", "connectivitySourceType": "COLO", "location": { "metroCode": "GV" }, "demarcationPointIbx": "GV1", "package": { "code": "STANDARD" }, "lagEnabled": false, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "project": { "projectId": "8f23b36f-db8f-44c8-a6e5-606e1b485931" }, "account": { "accountNumber": 270848 }, "notifications": [ { "registeredUsers": [ "jaguarsuser-port-order" ], "type": "TECHNICAL" } ], "order": { "purchaseOrder": { "number": 156576, "amount": 10, "startDate": "2018-06-11T22:25:52.206Z", "endDate": "2018-07-11T22:25:52.206Z", "type": "NEW" }, "signature": { "signatory": "DELEGATE", "delegate": { "firstName": "John", "lastName": "Doe", "email": "john.doe@company.com" } } }, "physicalPorts": [ { "demarcationPoint": { "ibx": "GV1", "cabinetUniqueSpaceId": "Demarc", "cageUniqueSpaceId": "GV1:01:002174", "patchPanel": "CP:Demarc:1259684", "connectorType": "SC" } } ] }' ``` Sample response: ``` { "type": "XF_PORT", "physicalPortsType": "10GBASE_L", "physicalPortsSpeed": 10000, "physicalPortsCount": 1, "location": { "metroCode": "AM" }, "demarcationPointIbx": "AM1", "redundancy": { "group": 1, "priority": "PRIMARY" }, "lagEnabled": true, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "package": { "code": "STANDARD" }, "settings": { "sharedPortType": false }, "project": { "projectId": 567 }, "account": { "accountNumber": 1000 }, "order": { "orderNumber": "1-207799950758", "signature": { "signatory": "DELEGATE", "delegate": { "email": "testEmail1@equinix.com" } } }, "notifications": [ { "type": "TECHNICAL", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "PEERING", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "ESCALATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ] } ``` For a detailed description of the response, or for more examples, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/ports/createport.md).